Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMrootPeerSupportLite

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMpeerSupportLite
            |
            +--com.jxml.quick.ocm.OCMrootPeerSupportLite

All Implemented Interfaces:
  OCMpeer, OCMrootPeer

Direct Known Subclasses:
  OCMtemplate, QCAttributes, QCElements, QCExtends, QCField, QCField, QCImplements, QCItem, QCMQJMLError, QCQJML, QCQJML, QCQJML, QCQJML, QCSelection, QCSequence, QVQDML

public abstract class OCMrootPeerSupportLite
extends OCMpeerSupportLite
implements OCMrootPeer

Support class for ocm applications which do not perform conversion.

Fields inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`context, dataModel, paramMap, parent`

Constructor Summary
`OCMrootPeerSupportLite()`

Method Summary
`QDoc` | `convert()` Convert one QDoc into another.
`QDoc` | `convert(String url)` Convert one QDoc into another.
`String` | `express(boolean expressDefaults)` Generate an XML document (or other text).
`void` | `express(PrintWriter pw, boolean expressDefaults)` Generate an XML document (or other text).
`Object` | `getOutputRoot()` Returns the root of the output data model.

Methods inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`cvt, doCvt, doCvt, doCvt, init, peer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMpeer
`cvt, init`

Constructor Detail

### OCMrootPeerSupportLite

    public OCMrootPeerSupportLite()

Method Detail

### getOutputRoot

    public Object getOutputRoot()
                         throws SAXException,
                                IOException

  Returns the root of the output data model. (Defaults to this.)

### convert

    public QDoc convert()
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMrootPeer`
  Convert one QDoc into another.
  Specified by:
    `convert` in interface `OCMrootPeer`
  Following copied from interface: `com.jxml.quick.ocm.OCMrootPeer`
  Returns:
    The new document.

### convert

    public QDoc convert(String url)
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMrootPeer`
  Convert one QDoc into another.
  Specified by:
    `convert` in interface `OCMrootPeer`
  Following copied from interface: `com.jxml.quick.ocm.OCMrootPeer`
  Parameters:
    `url` - The name of the output document.
  Returns:
    The new (unique) document.

### express

    public String express(boolean expressDefaults)
                   throws SAXException,
                          IOException

  Description copied from interface: `OCMrootPeer`
  Generate an XML document (or other text).
  Specified by:
    `express` in interface `OCMrootPeer`
  Following copied from interface: `com.jxml.quick.ocm.OCMrootPeer`
  Parameters:
    `doc` - The QDoc object holding the object tree to be expressed in XML.
    `expressDefaults` - Turns on the expression of default values.
  Returns:
    The XML representation

### express

    public void express(PrintWriter pw,
                        boolean expressDefaults)
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMrootPeer`
  Generate an XML document (or other text).
  Specified by:
    `express` in interface `OCMrootPeer`
  Following copied from interface: `com.jxml.quick.ocm.OCMrootPeer`
  Parameters:
    `doc` - The QDoc object holding the object tree to be expressed in XML.
    `PW` - PrintWriter where the XML document is to be written.
    `expressDefaults` - Turns on the expression of default values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD